pkg load symbolic
t_1 = linspace(-2.5,2.5,1000);
y_1 = heaviside(t_1 + 0.1) - heaviside(t_1 - 0.1);

%Creo las variables simbolicas

syms t;
syms k;
%defino frecuencia y periodo fundamental
f = 1;
T = 1/f;
%Calculo simbolico de los coef de Fourier
c_k = int((1*exp(-i*k*2*pi*f*t)),0.0,0.2)/T;
%disp('El valor medio de la se�al es:'), disp (c_0);
disp('La funcion general de los coeficientes de Fourier es:'), disp(c_k,'unicode');

%Numero de armonicos a calcular
n_max = 30;
armonicos = 0:1:n_max;

%Evaluacion de los coef
coef = subs(c_k,k,armonicos);
disp('Los coeficientes: '), disp(coef,'unicode');

%Modulo de los coef
mod_coef = abs(double(coef));
%Fase de los coef
fase_coef = arg(double(coef));

%Graficos de modulo y fase de los coeficientes
figure()

subplot(3,1,1),
plot(t_1,y_1);
axis([-1,1,-1.1,1.1]);
%pbaspect([2 1 1]);
legend('T = 1  d = 0.2');
xlabel('t');
grid on;
title('Se�al');

subplot(3,1,2),
stem(armonicos, mod_coef,'filled');
%pbaspect([2 1 1]);
%axis([0,15,0,0.7]);
xlabel('k');
ylabel('|c_k|');
grid on;
title('Modulo de los coeficientes c_k');

subplot(3,1,3),
stem(armonicos, fase_coef,'r','filled');
%pbaspect([2 1 1]);
%axis([0,15,-2,0]);
xlabel('k');
ylabel('\theta (rad)');
grid on;
title('Fase de los coeficientes c_k');
